# Nastavení Dockeru a Woodpecker agenta na Ubuntu serveru

Tento návod popisuje kroky pro nastavení Ubuntu serveru, instalaci Dockeru a spuštění Woodpecker agenta pomocí dvou skriptů: `ubuntu_docker.sh` a `start_woodpecker_agent.sh`.

## Požadavky

- Ubuntu server (VPS nebo dedikovaný server)
- Je doporučeno mít Woodpecker agenta na jiném serveru než je váš hlavní server.

## Krok 1: Nastavení serveru a instalace Dockeru

Stáhněte a spusťte skript `ubuntu_docker.sh`, který provede aktualizaci systému, instalaci Dockeru a nastavení uživatele:

```bash
wget https://git.arch-linux.cz/Archos/vps_ubuntu/raw/branch/main/Docker/ubuntu_docker.sh
chmod +x ubuntu_docker.sh
./ubuntu_docker.sh
```
## Krok 2: Spuštění Woodpecker agenta

Stáhněte a spusťte skript start_woodpecker_agent.sh, který spustí Woodpecker agenta pomocí Dockeru:

```bash=
wget https://git.arch-linux.cz/Archos/vps_ubuntu/raw/branch/main/Docker/start_woodpecker_agent.sh
chmod +x start_woodpecker_agent.sh
./start_woodpecker_agent.sh
```

## Shrnutí

Tento návod pokrývá kroky pro:

1. Nastavení Ubuntu serveru a instalaci Dockeru pomocí skriptu ubuntu_docker.sh.
    
2. Spuštění Woodpecker agenta pomocí skriptu start_woodpecker_agent.sh.

Je doporučeno mít Woodpecker agenta na jiném serveru než je váš hlavní server pro lepší izolaci a bezpečnost.
