# vps_ubuntu



Tento repozitář obsahuje skripty a návody pro správu a nastavení Ubuntu VPS serveru.

## Obsah

- [setup_server.sh](setup_server.sh)
- [delete_user.sh](delete_usersh)
- [Docker](Docker/README.md): Skripty a instrukce pro nastavení Dockeru a Woodpecker agenta na Ubuntu serveru.

## setup_server.sh

Tento skript provede základní nastavení serveru včetně vytvoření nového uživatele, nastavení SSH přístupu a konfigurace firewallu.

### Použití

1. Stáhněte skript `setup_server.sh` na váš server pomocí `wget`:
   
   ```bash
    wget https://git.arch-linux.cz/Archos/vps_ubuntu/raw/main/setup_server.sh
    ```
2. Ujistěte se, že skript `setup_server.sh` má spustitelná práva:
    
    ```bash
    chmod +x setup_server.sh
    ```
3. Spusťte skript:
4. 
    ```bash
    ./setup_server.sh
    ```

### Popis skriptu

Skript `setup_server.sh` provádí následující kroky:

1. Vyžádá si zadání jména nového uživatele.
2. Vyžádá si zadání nového SSH portu (výchozí port je 2022).
3. Vytvoří nového uživatele a přidá ho do skupiny `sudo`.
4. Nastaví SSH klíče pro nového uživatele.
5. Nainstaluje a nakonfiguruje firewall `ufw`, pokud není nainstalovaný.
6. Nastaví základní pravidla firewallu:
    - Zakáže všechny příchozí připojení.
    - Povolení všech odchozích připojení.
    - Povolení příchozích připojení na zadaném SSH portu.
7. Změní konfiguraci SSH:
    - Nastaví nový SSH port.
    - Zakáže přihlášení root uživatele.
    - Zakáže autentizaci pomocí hesla.
    - Povolení autentizace pomocí veřejných klíčů.
8. Restartuje SSH službu, aby se změny projevily.
9. Vypíše konečné instrukce pro připojení k serveru.

### Příklad použití

Při spuštění skriptu budete vyzváni k zadání informací:

```bash
./setup_server.sh
```

Zadejte jméno nového uživatele: exampleuser
Zadejte nový SSH port (výchozí 2022): 2222
Vložte veřejný klíč pro uživatele exampleuser: ssh-rsa AAAAB3...

Po dokončení skriptu se zobrazí zpráva s informacemi pro připojení:

```bash
Nastavení serveru je dokončeno.
Připojte se k serveru pomocí: ssh -p 2222 exampleuser@<vaše veřejná IP adresa>
```

## delete_user.sh 

Tento skript odstraní uživatele z vašeho serveru včetně jeho domovského adresáře a všech souborů.
Použití

1. Stáhněte skript delete_user.sh na váš server pomocí wget:

```bash
wget https://git.arch-linux.cz/Archos/vps_ubuntu/raw/main/delete_user.sh -O delete_user.sh
```

2. Ujistěte se, že skript delete_user.sh má spustitelná práva:

```bash
chmod +x delete_user.sh
```

3. Spusťte skript:

```bash
./delete_user.sh
```

### Popis skriptu

Skript delete_user.sh provádí následující kroky:

1.   Vyžádá si zadání uživatelského jména, které chcete odstranit.
2.   Potvrdí, zda chcete opravdu uživatele odstranit.
3.   Zkontroluje, zda uživatel existuje.
4.   Ukončí všechny procesy uživatele.
5.   Odstraní uživatele včetně jeho domovského adresáře.

Příklad použití:
Při spuštění skriptu budete vyzváni k zadání uživatelského jména a potvrzení:

```bash
./delete_user.sh
Zadejte uživatelské jméno, které chcete odstranit: exampleuser
Opravdu chcete odstranit uživatele exampleuser? (y/n): y
```
Po potvrzení bude uživatel odstraněn.

## Docker

Ve složce `Docker` naleznete skripty a instrukce pro nastavení Dockeru a Woodpecker agenta na Ubuntu serveru. 

### Jak použít

1. Přejděte do složky `Docker`.
2. Postupujte podle instrukcí v souboru `README.md` ve složce `Docker`.

## Příspěvky

Pokud máte jakékoli vylepšení nebo nové skripty, neváhejte vytvořit Pull Request nebo otevřít Issue.

## Licence

Tento projekt je licencován pod MIT licencí.
